nu.xom

## Class IllegalNameException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - nu.xom.XMLException
        - - nu.xom.WellformednessException
          - - nu.xom.IllegalDataException
            - - nu.xom.IllegalNameException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IllegalTargetException

      public class IllegalNameException
      extends IllegalDataException

  Indicates an attempt to assign a name that is not a legal XML name. For example, this might be a name that begins with a digit such as `7pins` or a name that contains an asterisk such as `pt*`. In some contexts, this also includes names that are not legal non-colonized names as defined by Namespaces in XML.

  Version:
    1.1b3
  Author:
    Elliotte Rusty Harold
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalNameException(String message)` Creates a new `IllegalNameException` with a detail message.
    `IllegalNameException(String message, Throwable cause)` Creates a new `IllegalNameException` with a detail message and an underlying root cause.

  - ### Method Summary

    - ### Methods inherited from class nu.xom.IllegalDataException

      `getData, setData`

    - ### Methods inherited from class nu.xom.XMLException

      `getCause, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalNameException

          public IllegalNameException(String message)

      Creates a new `IllegalNameException` with a detail message.

      Parameters:
        `message` - a string indicating the specific problem

    - #### IllegalNameException

          public IllegalNameException(String message,
                                      Throwable cause)

      Creates a new `IllegalNameException` with a detail message and an underlying root cause.

      Parameters:
        `message` - a string indicating the specific problem
        `cause` - the original cause of this exception

Copyright 2002-2026 Elliotte Rusty Harold
elharo@ibiblio.org